#==============================================================================
# package      DE_EPAGES::AppStore::API::Constants
# state        public
#------------------------------------------------------------------------------
# description  Some constants
#==============================================================================
package DE_EPAGES::AppStore::API::Constants;
use base Exporter;

use strict;
our @EXPORT_OK = qw(
    ALL_APP_TYPES
    APPSTORE_APP_TYPES
    THEMESTORE_APP_TYPES
    UNITY_SCRIPT_TAGS_APP_NAME
    UNITY_SCRIPT_TAGS_APP_SCOPES
    SHOPS_RESOURCE_PATH
    SCRIPT_TAGS_RESOURCE_PATH
    MY_SCRIPT_TAGS_URL_QUERY
);

#========================================================================================
# global   THEMESTORE_APP_TYPES
#           | App types of AppStore menu.
#           | ref.array.string
#========================================================================================
use constant THEMESTORE_APP_TYPES  => [
    'THEME'
];

#========================================================================================
# global   APPSTORE_APP_TYPES
#           | App types of AppStore menu.
#           | ref.array.string
#========================================================================================
use constant APPSTORE_APP_TYPES => [
    'APP_OAUTH2',
    'APP_SOAP',
    'APP_ALIAS',
    'AFFILIATE'
];

#========================================================================================
# global   ALL_APP_TYPES
#           | All app types of app store.
#           | ref.array.string
#========================================================================================
use constant ALL_APP_TYPES => [
    'APP_OAUTH2',
    'APP_SOAP',
    'APP_ALIAS',
    'THEME',
    'AFFILIATE'
];

#========================================================================================
# global       UNITY_SCRIPT_TAGS_APP_NAME | app name for the Unity script tag app
#                   | string
#========================================================================================
use constant UNITY_SCRIPT_TAGS_APP_NAME => 'EpagesUIScriptTags';

#========================================================================================
# global       UNITY_SCRIPT_TAGS_APP_SCOPES | app scopes for the Unity script tag app
#                   | ref.array.string
#========================================================================================
use constant UNITY_SCRIPT_TAGS_APP_SCOPES => ['scripttags_read', 'scripttags_write'];

#========================================================================================
# global       SHOPS_RESOURCE_PATH | path of the REST-API ressource
#                   for shops | string
# global       SCRIPT_TAGS_RESOURCE_PATH | path of the REST-API ressource
#                   for script tags | string
# global       MY_SCRIPT_TAGS_URL_QUERY | URL query to get only script tags
#                    that have been created for a specific app | string
#========================================================================================
use constant SHOPS_RESOURCE_PATH => 'shops';
use constant SCRIPT_TAGS_RESOURCE_PATH => 'script-tags';
use constant MY_SCRIPT_TAGS_URL_QUERY => '?myScriptTagsOnly=true';

1;
